[gedit-plugins] autogen.sh: Use autoreconf instead gnome-autogen



commit 47075dcbd372c25e909dcdf5471648c52909f775
Author: Javier Jardón <jjardon gnome org>
Date:   Sun Mar 27 17:32:13 2011 +0200

    autogen.sh: Use autoreconf instead gnome-autogen

 INSTALL      |  291 ----------------------------------------------------------
 Makefile.am  |    2 +-
 autogen.sh   |   32 ++++---
 configure.ac |    5 -
 4 files changed, 19 insertions(+), 311 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index 14c2bd8..cc945a3 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,6 +1,6 @@
 SUBDIRS = plugins po
 
-ACLOCAL_AMFLAGS = -I m4
+ACLOCAL_AMFLAGS = -I m4 ${ACLOCAL_FLAGS}
 
 EXTRA_DIST =			\
 	autogen.sh		\
diff --git a/autogen.sh b/autogen.sh
index fc2d3fb..7117a23 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,22 +1,26 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-PKG_NAME="gedit-plugins"
+olddir=`pwd`
+cd "$srcdir"
 
-(test -f $srcdir/configure.ac) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
-}
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+        echo "*** No intltoolize found, please install the intltool package ***"
+        exit 1
+fi
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME CVS"
-    exit 1
-}
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+        echo "*** No autoreconf found, please install it ***"
+        exit 1
+fi
 
-autopoint --force || exit $?
+autopoint --force
+AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
 
-ACLOCAL_FLAGS="$ACLOCAL_FLAGS -I m4" REQUIRED_AUTOMAKE_VERSION=1.9 REQUIRED_MACROS=python.m4 USE_GNOME2_MACROS=1 . gnome-autogen.sh
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
diff --git a/configure.ac b/configure.ac
index dc0429c..31c9455 100644
--- a/configure.ac
+++ b/configure.ac
@@ -30,9 +30,6 @@ AC_PROG_MAKE_SET
 
 AM_PATH_PYTHON
 
-# make sure we keep ACLOCAL_FLAGS around for maintainer builds to work
-AC_SUBST(ACLOCAL_AMFLAGS, "$ACLOCAL_FLAGS -I m4")
-
 dnl check for win32 platform
 AC_MSG_CHECKING([for some Win32 platform])
 case "$host" in
@@ -257,8 +254,6 @@ AC_SUBST([BUILD_PLUGINS],[$PLUGINS])
 # ================================================================
 AC_PATH_PROG(GLIB_GENMARSHAL, glib-genmarshal)
 
-#GNOME_COMPILE_WARNINGS(yes)
-
 AC_ARG_ENABLE(deprecations,
               [AC_HELP_STRING([--enable-deprecations],
                               [warn about deprecated usages [default=no]])],,



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]